class Services::MastodonController < Services::BaseController
  before_action :authenticate_user!
  before_action :require_service_available

  def show
    @service_enabled = current_user.services_enabled.include?(:mastodon)
  end

  private

    def require_service_available
      http_status :not_found unless Setting.mastodon_enabled?
    end
end
